/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.133 Revision 1.285
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.133 2010/10/30 18:23:26 arfrever Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.285 2015/04/14 12:36:33 ago Exp $
4
5 14 Apr 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
6 Stable for ia64, wrt bug #523322
7
8 08 Apr 2015; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.3-r2.ebuild:
9 Drop old Python implementations
10
11 17 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
12 Stable for ppc64, wrt bug #517344
13
14 16 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
15 Stable for ppc, wrt bug #517344
16
17 14 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
18 Stable for x86, wrt bug #517344
19
20 09 Jan 2015; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.3.ebuild:
21 Stop using deprecated python_parallel_foreach_impl.
22
23 31 Dec 2014; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.3-r2.ebuild,
24 PyQt4-4.11.1.ebuild, PyQt4-4.11.2.ebuild:
25 Enforce USE dependency for media-libs/phonon.
26
27 10 Dec 2014; Mikle Kolyada <zlogene@gentoo.org> PyQt4-4.11.1.ebuild:
28 amd64 stable wrt bug #517344
29
30 22 Nov 2014; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.11.1.ebuild:
31 Stable on alpha, bug 523322
32
33*PyQt4-4.11.3 (15 Nov 2014)
34
35 15 Nov 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.3.ebuild,
36 -PyQt4-4.11.3_pre20141024.ebuild:
37 Version bump.
38
39*PyQt4-4.11.3_pre20141024 (01 Nov 2014)
40
41 01 Nov 2014; Davide Pesavento <pesa@gentoo.org>
42 +PyQt4-4.11.3_pre20141024.ebuild, -PyQt4-4.11.2-r1.ebuild:
43 Bump to 4.11.3 prerelease, which contains upstream fixes for bugs #525392 and
44 #525470. Also switch to out-of-source builds.
45
46 15 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.2-r1.ebuild:
47 Fix bug #525392.
48
49 14 Oct 2014; Davide Pesavento <pesa@gentoo.org>
50 +files/PyQt4-4.11.2-phonon.patch, PyQt4-4.11.2-r1.ebuild:
51 Fix building against media-libs/phonon (bug 525354).
52
53*PyQt4-4.11.2-r1 (13 Oct 2014)
54
55 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
56 metadata.xml:
57 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
58 from QtGui.
59
60 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
61 Revert to ~amd64, see bug #523322 comment #4.
62
63 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
64 Stable for amd64, wrt bug #523322
65
66 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
67 arm stable, bug #523322
68
69*PyQt4-4.11.2 (20 Sep 2014)
70
71 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
72 PyQt4-4.11.1.ebuild:
73 Version bump. Silence harmless repoman warning.
74
75 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
76 Drop deprecated python versions.
77
78 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
79 PyQt4-4.11.1.ebuild:
80 Stop using dohtml, remove old.
81
82 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
83 Remove old.
84
85*PyQt4-4.11.1 (15 Jul 2014)
86
87 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
88 PyQt4-4.11.ebuild:
89 Version bump.
90
91 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
92 PyQt4-4.11.ebuild:
93 add py3.4 support req'd to support py packages such as pandas
94
95 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
96 PyQt4-4.10.3-r3.ebuild:
97 Restrict sip dep to =4.15* for older PyQt4 versions.
98
99*PyQt4-4.11 (30 May 2014)
100
101 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
102 Version bump.
103
104 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
105 PyQt4-4.10.3-r3.ebuild, metadata.xml:
106 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
107 Martin Walch in bug 510812.
108
109 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
110 -PyQt4-4.10.3.ebuild:
111 Drop the old versions that required python-exec:0.
112
113 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
114 Remove python herd as discussed with them.
115
116*PyQt4-4.10.3-r3 (27 Mar 2014)
117
118 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
119 Replace manual Python wrapping with proper eclass functions, bug #484404.
120
121 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
122 Stable for sparc, wrt bug #495638
123
124 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
125 Stable for x86, wrt bug #495638
126
127 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
128 Stable for alpha, wrt bug #495638
129
130 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
131 Stable for ia64, wrt bug #495638
132
133 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
134 Stable for ppc64, wrt bug #495638
135
136 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
137 amd64 stable, bug 495638
138
139 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
140 Stable for ppc, wrt bug #495638
141
142 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
143 arm stable, bug #495638
144
145 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
146 files/PyQt4-4.7.3-qreal_float_support.patch:
147 Updated qreal_float patch to remove first hunk (already applied
148 upstream). Tested on arm chromebook; no existing bug.
149
150*PyQt4-4.10.3-r2 (25 Dec 2013)
151
152 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
153 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
154 Introduce USE="designer".
155
156 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
157 old
158
159 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
160 Stable for sparc, wrt bug #483112
161
162 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
163 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
164 Update the ebuilds to dep on dev-lang/python-exec.
165
166 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
167 old
168
169*PyQt4-4.10.3-r1 (23 Oct 2013)
170
171 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
172 Support python-exec:2.
173
174 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
175 Depend on sip >=4.15.0 to fix build failure (bug #485274)
176
177 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
178 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
179 Add explicit dep on python-exec:0 since the package wraps the script manually.
180
181*PyQt4-4.10.3 (17 Sep 2013)
182
183 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
184 Version bump
185
186 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
187 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
188 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
189
190 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
191 arm stable, bug #483112
192
193 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
194 Stable for x86, wrt bug #483112
195
196 05 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
197 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
198 Clean up PYTHON_COMPAT from old implementations.
199
200 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
201 Stable for ppc64, wrt bug #483112
202
203 04 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
204 Stable for ppc, wrt bug #483112
205
206 03 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
207 Stable for ia64, wrt bug #483112
208
209 02 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
210 Stable for alpha, wrt bug #483112
211
212 31 Aug 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
213 Stable for amd64, wrt bug #483112
214
215 22 Jul 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.1.ebuild,
216 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
217 Reorder Qt dependencies.
218
219 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
220 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
221 Fixing qtgui/designer deps for qt-4.8.5
222
223 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
224 PyQt4-4.9.6-r2.ebuild:
225 Fixing qtgui deps for qt-4.8.5
226
227 08 Jul 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.2.ebuild:
228 Remove wrong usedep for qtgui.
229
230*PyQt4-4.10.2 (24 Jun 2013)
231
232 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.2.ebuild:
233 Version bump.
234
235 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.ebuild,
236 PyQt4-4.10.1.ebuild:
237 Add PYTHON_REQUIRED_USE. Remove old.
238
239*PyQt4-4.10.1 (22 May 2013)
240
241 22 May 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.10.1.ebuild:
242 Version bump.
243
244 10 May 2013; Patrick Lauer <patrick@gentoo.org> metadata.xml:
245 Remove unused flag description from metadata
246
247 04 May 2013; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4-r1.ebuild,
248 -files/PyQt4-4.7.2-configure.py.patch,
249 -files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
250 old
251
252*PyQt4-4.10 (12 Mar 2013)
253
254 12 Mar 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.ebuild:
255 Version bump. Fix also bug #433944 by Franz Fellner.
256
257 11 Mar 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
258 Stable for sparc, wrt bug #457046
259
260 03 Mar 2013; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.4-r1.ebuild,
261 PyQt4-4.9.6-r2.ebuild:
262 Move Qt dependencies to the new category
263
264 21 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
265 Stable for ia64, wrt bug #457046
266
267 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
268 Stable for ppc64, wrt bug #457046
269
270 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
271 Stable for ppc, wrt bug #457046
272
273 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
274 Stable for alpha, wrt bug #457046
275
276 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
277 Stable for arm, wrt bug #457046
278
279 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
280 Stable for x86, wrt bug #457046
281
282 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
283 Stable for amd64, wrt bug #457046
284
285 15 Feb 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r2.ebuild:
286 BUILDDIR -> BUILD_DIR, fixes bug 457538 by ago.
287
288 13 Feb 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r1.ebuild,
289 -PyQt4-4.9.6.ebuild, PyQt4-4.9.6-r2.ebuild:
290 Fix double prefix; remove old.
291
292 04 Feb 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.9.6-r2.ebuild:
293 Use run_in_build_dir. Add python-3.3 support wrt bug #455020.
294
295*PyQt4-4.9.6-r2 (29 Jan 2013)
296
297 29 Jan 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.9.6-r2.ebuild:
298 Migrate to the new python eclass.
299
300 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
301 Improve pyqt4_use_enable() as suggested by Arfrever.
302
303 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
304 old
305
306*PyQt4-4.9.6-r1 (26 Dec 2012)
307
308 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
309 metadata.xml:
310 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
311 pyside: rename assistant to help, add script and scripttools (bug 431460 by
312 Arfrever).
313
314*PyQt4-4.9.6 (10 Dec 2012)
315
316 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
317 Version bump, with some minor updates from qt overlay.
318
319 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
320 arm stable, bug #435074
321
322 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
323 PyQt4-4.9.4-r1.ebuild:
324 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
325
326 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
327 -PyQt4-4.9.1.ebuild:
328 Remove old
329
330*PyQt4-4.9.5 (05 Oct 2012)
331
332 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
333 Version bump
334
335 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
336 alpha/ia64/sparc stable wrt #429042
337
338*PyQt4-4.9.4-r1 (03 Sep 2012)
339
340 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
341 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
342 Apply upstream patch to fix regression in pyuic's handling of custom widgets
343 (bug 431070 by Laurent Bachelier).
344
345 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
346 Stable for x86, wrt bug #429042
347
348 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
349 Stable for amd64, wrt bug #429042
350
351 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
352 Stable ppc64, bug #429042
353
354 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
355 Stable ppc, bug #429042
356
357 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
358 ia64 stable
359
360 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
361 -files/PyQt4-4.6.1-configure-multilib.patch:
362 Remove old.
363
364 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
365 PyQt4-4.9.4.ebuild:
366 alpha/ia64/sparc stable wrt #412929
367
368*PyQt4-4.9.4 (02 Jul 2012)
369
370 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
371 -PyQt4-4.9.3.ebuild:
372 Version bump.
373
374*PyQt4-4.9.3 (27 Jun 2012)
375
376 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
377 -PyQt4-4.9.2.ebuild:
378 Version bump.
379
380 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
381 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
382
383*PyQt4-4.9.2 (21 Jun 2012)
384
385 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
386 Version bump
387
388 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
389 Destabling to ~ia64 because last available stable qt will be masked pending
390 removal
391
392 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
393 marked x86 per bug 412929
394
395 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
396 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
397 Inherit eutils.
398
399 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
400 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
401 Revert previous change.
402
403 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
404 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
405 Restrict python 3.1 to match dev-python/dbus-python.
406
407 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
408 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
409
410 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
411 Migrating dev-util/pkgconfig -> virtual/pkgconfig
412
413 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
414 Stable for amd64, wrt bug #412929
415
416 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
417 Stable on alpha, bug #354033
418
419 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
420 PyQt4-4.8.4.ebuild:
421 PyQt4-4.8 does not build with sip-4.13, bug 407291
422
423 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
424 Slightly improve the ewarn message in pkg_postinst().
425
426 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
427 Put qt as the primary herd in metadata.
428
429 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
430 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
431 <slong@rathaus.eclipse.co.uk> in bug #407281.
432
433 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
434 Switch to EAPI 4, add REQUIRED_USE.
435
436 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
437 PyQt4-4.8.4.ebuild:
438 Drop ~x86-fbsd because of unkeyworded dependencies.
439
440 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
441 Don't enable QtAssistant module because it was removed in qt-4.7 and we
442 already depend on 4.7.2 or later.
443
444 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
445 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
446 Restrict pypy for older versions too.
447
448 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
449 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
450 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
451 version.
452
453 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
454 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
455 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
456 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
457 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
458 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
459
460 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
461 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
462 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
463 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
464 Fixing pypy restricts to actually work
465
466*PyQt4-4.9.1 (12 Feb 2012)
467
468 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
469 version bump
470
471 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
472 builds with qt-opengl-4.8.0[egl], updated dep
473
474 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
475 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
476 Fixes backported from Progress Overlay. Patch by Arfrever.
477
478*PyQt4-4.9 (24 Dec 2011)
479
480 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
481 Version bump
482
483*PyQt4-4.8.6 (11 Nov 2011)
484
485 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
486 Version bump
487
488 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
489 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
490 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
491 python overlay.
492
493*PyQt4-4.8.5 (19 Aug 2011)
494
495 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
496 Version bump
497
498 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
499 ppc/ppc64 stable wrt #374591
500
501 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
502 x86 stable, bug #374591
503
504 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
505 ppc64 stable wrt #354033
506
507 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
508 Stable on amd64 wrt bug #374591
509
510 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
511 Marking PyQt4-4.8.3 ppc stable for bug 354033
512
513 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
514 Stable on amd64 wrt bug #354033
515
516 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
517 x86 stable per bug 354033
518
519*PyQt4-4.8.4 (02 May 2011)
520
521 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
522 +PyQt4-4.8.4.ebuild:
523 Version bump.
524
525 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
526 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
527 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
528 Adapt phonon dependency for package move
529
530 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
531 ppc64 stable wrt #349607
532
533 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
534 ia64/sparc stable wrt #349607
535
536 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
537 Stable on alpha, bug #349607
538
539 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
540 PyQt4-4.8.3.ebuild:
541 Update dependencies (bug #353053).
542
543*PyQt4-4.8.3 (25 Jan 2011)
544
545 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
546 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
547 Version bump.
548
549 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
550 x86 stable wrt bug #349607
551
552 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
553 Marking PyQt4-4.8.1 ppc stable for bug 349607
554
555 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
556 Stable on amd64 wrt bug #349607
557
558 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
559 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
560 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
561
562*PyQt4-4.8.1-r1 (30 Dec 2010)
563
564 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
565 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
566 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
567
568 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
569 PyQt4-4.8.2.ebuild:
570 Fix dependencies (bug #349672).
571
572*PyQt4-4.8.2 (24 Dec 2010)
573
574 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
575 +PyQt4-4.8.2.ebuild:
576 Version bump.
577
578 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
579 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
580 Restrict Jython ABIs.
581
582 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
583 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
584 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
585 -files/configure.py.patch:
586 Delete.
587
588 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
589 old, depends on qt 4.5
590
591 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
592 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
593 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
594 Remove HPPA keywording (bug #239441).
4 595
5*PyQt4-4.8.1 (30 Oct 2010) 596*PyQt4-4.8.1 (30 Oct 2010)
6 597
7 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org> 598 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
8 +PyQt4-4.8.1.ebuild: 599 +PyQt4-4.8.1.ebuild:
546*PyQt4-4.0_beta1 (05 May 2006) 1137*PyQt4-4.0_beta1 (05 May 2006)
547 1138
548 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 1139 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
549 +PyQt4-4.0_beta1.ebuild: 1140 +PyQt4-4.0_beta1.ebuild:
550 initial import, from bug #121554 1141 initial import, from bug #121554
551

Legend:
Removed from v.1.133  
changed lines
  Added in v.1.285

  ViewVC Help
Powered by ViewVC 1.1.20